#!/usr/bin/perl
use strict;

my %mutHash;
my %finalHash;

my $FILE;
my $record;

for (my $ctr=1; $ctr < 25; $ctr++) {
  open (FILE, "./${ctr}_pred/tally.txt") or die "Cannot Open ./${ctr}_pred/tally.txt";

  #Add 3d unique values
  while ($record = <FILE>) {
    chomp($record);
    my @curRecord =split (/ +/, $record);
    $mutHash{@curRecord[1]} = "@curRecord[0]\t"."@curRecord[2]\t$ctr";
  }
  
  close(FILE);
  
  #my @sorted = sort { $mutHash{$b} cmp $mutHash{$a} } keys %mutHash;
  my @sorted = sort { $mutHash{$b} <=> $mutHash{$a} } keys %mutHash;
  #print "Mut1 = @sorted[0]\n";
  $finalHash{@sorted[0]} = $mutHash{@sorted[0]};
  #print "Mut2 = @sorted[1]\n";
  $finalHash{@sorted[1]} = $mutHash{@sorted[1]};
  #print "Mut3 = @sorted[2]\n";
  $finalHash{@sorted[2]} = $mutHash{@sorted[2]};

  %mutHash=();
}  

while ( my ($key, $value) = each(%finalHash) ) {
  print "$key\t$value\n";
}

