#!/bin/bash
NBfile=$1
dirs=`cat data_dirs`

BAYES="nice python /home/p53/classifier_v2.2/scripts/python/BAYES_2.py "
CORRELATE="nice java CorrelateResults "



count=1
while [ $count -le 117 ]
do
  dir=$count
  #echo $dir
  cp $NBfile ./$dir/composite/falseXvalid.NB
  cd ./$dir/composite
    mkdir results_fake_xvalid > /dev/null 2> /dev/null   
    $BAYES <( cat ./train.cc) -r ./results_fake_xvalid/ < ./falseXvalid.NB > /dev/null 2> /dev/null
    $CORRELATE ./results_fake_xvalid fake_xvalid:$count > fake_xvalid.cc
    accLine=`cat fake_xvalid.cc | grep -i acc | awk '{ print $5 }'` 
    ccLine=`cat fake_xvalid.cc | grep -i corr | awk '{ print $5 }'`
    echo "$dir $accLine" >&1 
    echo "$dir $ccLine" >&2
  cd ../..
  count=$(($count + 1))
done

