#!/bin/bash

KNOWNDEF="/home/p53/classifier_v2.2/def/K2.def"
BAYES="python /home/p53/classifier_v2.2/scripts/python/BAYES_2.py"

startDir=$1
if [ -n "$startDir" ]
then
  echo "cd $startDir"
  cd $startDir
fi

/bin/ls -d *d > data_dirs

dirs=`cat data_dirs`

#Make the .cc files
for dir in $dirs
do
  echo $dir
  cd $dir
  #java CorrelateResults ./results_xvalid $dir $KNOWNDEF > known.cc 2> /dev/null
  java CorrelateResults ./results_xvalid $dir > known.cc 2> /dev/null
  cd ..
done

#Make the .NB file
mkdir composite
cd composite
cat ../*d/known.cc > train.cc

java Result2Arff ../data_dirs predict .. results
mkdir results
$BAYES <(cat train.cc) -r ./results/ < predict.NB
cd ..

