#!/bin/bash
arff=$1
numFeatures=$2

#Step 1: Create the X features from the arff file
#dir=`echo $arff | sed -e 's/.arff//' | sed -e 's/^.*\///'`.dir
#mkdir $dir
#mkdir $dir/$numFeatures
#cp $arff ./$dir/$numFeatures/raw.arff

#cd $dir/$numFeatures

#Mutual Information
MUT_INFO="java -Xmx300MB weka.filters.AttributeSelectionFilter -S weka.attributeSelection.Ranker -E weka.attributeSelection.InfoGainAttributeEval"
$MUT_INFO -i $arff -o ./features.arff -c last

features=`cat ./features.arff | grep @attribute | awk '{ print $2 }'`

ctr=1
for feature in $features
do
  echo $feature
  if [ $ctr == $numFeatures ]
  then
    break
  fi
  ctr=$(($ctr+1))
done > temp
echo class >> temp

echo $arff: $numFeatures features
cat temp | tr '\n' ','
rm temp

