#!/bin/bash
#Used to resub the failed one for testImprovement.oecv.bash

rollingSub=$1 #EX: K2t_X2
srcIdx=$2 #EX:  Enter 0 because files are in 0_pred/newFiles

dir=`pwd`

muts=`/bin/ls -d */ | sed -e 's/\///'  | grep -v -i reference`

RESUB="qsub -p -10 /home/p53/classifier_v2.2/scripts/testImprovement.oecv.perl.sge"
RUNCHUNK="nice /home/p53/classifier_v2.2/scripts/runclassifier.chunk"

for mut in $muts
do
  echo "$mut"
  for act in "active" "inactive"
  do
    if [ ! -d $dir/${mut}/${act} ]
    then
      echo "No $dir/$mut/$act"
      echo "$RESUB $mut train test . /home/p53/classifier_v2.2/rolling/${rollingSub}/${srcIdx}_pred/newFiles/ $act"
      $RESUB $mut train test . /home/p53/classifier_v2.2/rolling/${rollingSub}/${srcIdx}_pred/newFiles/ $act
    else
      cd $dir/$mut/$act
      for dim in "1d" "2d" "3d" "4d" "s1d"
      do
        if [ ! -d $dim ]
        then
          mkdir $dim
        fi

        cd $dim
        if [ ! -e "in.arff"  ]
        then
          echo "nice java -Xmx300MB ArffAbut ../../${act}.${mut}.train.${dim}.arff ../../${act}.arff > in.arff"
          nice java -Xmx300MB ArffAbut ../../${act}.${mut}.train.${dim}.arff `pwd`/../../${act}.arff > in.arff
          $RUNCHUNK in.arff 
        fi
        cd ..
      done
      cd ../..
    fi
  done
done
