import java.io.*;
import java.util.*;
/**
 * 
 * @author sad1225
 *
 * Convert a .def file to a .def2 file
 */
class Def2def2{
	public Def2def2(String defName){
		try{
			FileReader inFile = new FileReader(defName);
			BufferedReader defReader = new BufferedReader(inFile);
			
			String outputFileName = defName+"2";
			FileWriter outFile = new FileWriter(outputFileName);
			PrintWriter out = new PrintWriter(outFile);
			
			String line = defReader.readLine();
			while(line != null){
				if (line.length() > 0){
					StringTokenizer tok = new StringTokenizer(line,"_ \t");
					String curTok = tok.nextToken();
					
					while (((curTok.indexOf("239")!=-1)||(curTok.indexOf("240")!=-1))&&(tok.hasMoreTokens())){
						curTok = tok.nextToken();
					}
					out.print(curTok + "\t");
					out.println(line);
				}
				line = defReader.readLine();
			}
			out.close();

		} catch (Exception e){
			e.printStackTrace();
		}
	}
	
	/**
	 * Convert a .def file to a .def2 file
	 * Def2def2 <arffName>
	 * Def2def2 3d.arff
	 *
	 * @param args
	 */
	public static void main (String args []) {
		if (args.length != 1){
			System.out.println("Convert a .def file to a .def2 file");
			System.out.println("Def2def2 <Wekaout.txt>" );
			System.out.println("Def2def2 3Wekaout.txt" );
		} else {
			String arffName = args[0];
			Def2def2 myDef2def2 = new Def2def2(arffName);
			System.out.println("Completed Execution: Def2def2 "+arffName);
		}
	}

}
