#!/bin/bash

echo "accuracy" > xvalid.delta
echo "idx 1d 2d 3d 4d s1d" >> xvalid.delta
for idx in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24
do
  cd ./$idx/reference
  curLine=""
  for dim in 1d 2d 3d 4d s1d
  do
    cd $dim
      acc=`cat all.cc | grep Accuracy | awk '{ print $3 }'`
      if [ -z "$curLine" ]
      then
        curLine=$acc
      else
        curLine="$curLine $acc"
      fi
    cd ..
  done
  cd ../..
  echo "$idx $curLine" >> xvalid.delta
done


echo "cc" >> xvalid.delta

echo "idx 1d 2d 3d 4d s1d" >> xvalid.delta
for idx in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24
do
  cd ./$idx/reference
  curLine=""
  for dim in 1d 2d 3d 4d s1d
  do
    cd $dim
      acc=`cat all.cc | grep 2x2 | awk '{ print $5 }'`
      if [ -z "$curLine" ]
      then
        curLine=$acc
      else
        curLine="$curLine $acc"
      fi
    cd ..
  done
  cd ../..
  echo "$idx $curLine" >> xvalid.delta
done

