#!/usr/bin/perl
use strict;
use Getopt::Long;

use lib "/home/p53/classifier_v2.2/scripts";
use ArffUtil;


my $inName; #input .arff file
my $outName; #output .arff file
my $numFeatures; #number of features to extract
my $defName; #The optional .def file to assign a class (if no class exists)

GetOptions( "inName=s" => \$inName,
            "outName=s" => \$outName,
            "numFeatures=s" => \$numFeatures,
            "defName=s" => \$defName );

#print("$inName,$outName,$numFeatures,$defName");
ArffUtil->genBestFeatures($inName,$outName,$numFeatures,$defName);
