#!/bin/bash
#find any jobs that have died while executing testImprovement.oecv.bash and correctly resubmit them
SCRIPTDIR="/home/p53/classifier_v2.2/scripts/"

failed=`qstat | grep -w Eqw | awk '{ print $1 }'`

allSubs=""
for failure in $failed
do
  #echo $failure > /dev/stderr
  subLine=`cat subFile.txt | grep testImprovement | grep $failure | awk -F "\"" '{ print $2 }'`
  if [ -n $subLine ]
  then 
    newSub=`qsub -p -10 ${SCRIPTDIR}$subLine`
    echo $newSub >> subFile.txt
    if [ -z $allSubs ]
    then
      allSubs=`echo $newSub | awk '{ print $3 }'`
    else
      curSub=`echo $newSub | awk '{ print $3 }'`
      allSubs="${allSubs}|${curSub}"
    fi
    trashLine=`qdel $failure`
  fi
done
echo $allSubs
