#!/bin/bash
#getFilesToRoll for n mutants
predName=$1 #K1_X1
splitNum=$2 #Ex: 4 if you're creating the files in 4_pred
mutants=$3 #Ex: r273h_c238s_n239k:inactive,r273h_n239s:inactive,y220c_d228e_n239y:active

GETFILES="nice /home/p53/classifier_v2.2/scripts/getFilesToRoll.bash"

mkdir newFiles
mutList=`echo $mutants | sed -e 's/,/ /g'`
idx=0
for mutPair in $mutList
do
  mutLine=`echo $mutPair | sed -e 's/:/ /'`

  #After the first pass, use the existing lists as the starting point
  if [ $idx -eq 1 ]
  then
    splitNum=`expr $splitNum + 1`
  fi

  echo "$GETFILES $predName $splitNum $mutLine"
  $GETFILES $predName $splitNum $mutLine

  rm -r ./newFiles/def 2> /dev/null
  mv def newFiles
  rm -r ./newFiles/rawArff 2> /dev/null
  mv rawArff newFiles  

  idx=`expr $idx + 1`
done

