#!/bin/bash
#Tally results for a run of testImprovement.perl
dir=$1

if [ -z $dir ]
then
  dir="."
fi

cd $dir

dims="1d 2d 3d 4d s1d"

#Read in the reference values
cd reference
echo reference > /dev/stderr
i=0
for dim in $dims
do
  cd $dim
  #pwd > /dev/stderr
  #echo all > /dev/stderr
  java CorrelateResults ./results_xvalid $dim > all.cc
  #echo K2 > /dev/stderr
  #java CorrelateResults ./results_xvalid $dim /home/p53/classifier_v2.2/def/K2.def > known.cc #2> /dev/null
  #refVals[$i]=`cat known.cc | grep '2x2 Correlation' | awk '{ print $5 }' | sed -e 's/.*E../0/'`
  refVals[$i]=`cat all.cc | grep '2x2 Correlation' | awk '{ print $5 }' | sed -e 's/.*E../0/'`
  #echo "$dim : ${refVals[$i]}"
  cd ..
  i=$(($i+1))
done
cd ..

dirs=`/bin/ls -d */ | grep -v reference | sed -e 's/\///'`
for dir in $dirs
do
  echo $dir > /dev/stderr
  cd $dir
  for act in "active" "inactive"
  do
    #echo $act
    cd $act
    #echo `pwd`

    dimCtr=0
    for dim in $dims
    do
      cd $dim
      #pwd > /dev/stderr
      #echo "$dir:$act:$dim"
      #echo all > /dev/stderr
      java CorrelateResults ./results_xvalid "$dir:$act:$dim" > all.cc
      #echo k2 > /dev/stderr
      #java CorrelateResults ./results_xvalid "$dir:$act:$dim" /home/p53/classifier_v2.2/def/K2.def > known.cc #2> /dev/null
      #vals[$dimCtr]=`cat known.cc | grep '2x2 Correlation' | awk '{ print $5 }' | sed -e 's/.*E../0/'`
      vals[$dimCtr]=`cat all.cc | grep '2x2 Correlation' | awk '{ print $5 }' | sed -e 's/.*E../0/'`
      #echo "$dim : ${vals[$dimCtr]}"
      dimCtr=$(($dimCtr+1))
      cd ..
    done

    #calculate the information gained
    #echo "Calc Info Gain"
    i=0
    sum=0
    rm tally.txt 2> /dev/null
    for dim in $dims
    do
      #echo "(${vals[$i]})-(${refVals[$i]})"
      curVal=`echo "(${vals[$i]})-(${refVals[$i]})" | bc`
      echo "$dim  $curVal" >> tally.txt
      #echo "($sum)+($curVal)"
      sum=`echo "($sum)+($curVal)" | bc`
      #echo $sum
      i=$(($i+1))
    done
    echo "$sum   $dir   $act"

    cd ..  #act
  done
  cd ..
done
