#!/usr/bin/python
#xvaldiation for p53 data, excluding from training set all mutatnis wtih 1 or more mutations in common with test set.

import sys

f=file(sys.argv[1])
out=[]
data=dict()

def id2xvalid(id):
	pass

def dictappend(dict, key,value):
	if key not in dict.keys():
		 dict[key]=[]
	dict[key]+=[value]

header=True
for l in f:
   if header==True:
        if l.lower()[:5]=="@data":
                header=False
	out+=[l]
   else:
	if l[0]=="%":
		id=l[1:].strip().lower()
		xvalid=id2xvalid(id)
	else:
		dictappend(data, xvalid, (id.split("_"), id, l.strip()))

def intersection(set1, set2):
	out =[]
	for i in set1:
		if i in set2:
			out+=i
	return out

def printheader(f):
	global out
	for l in out:
		print >>f, l,

def instance2file_name(inst):
	return inst[1].strip()+".arff"

def print_instance(f, inst):
	print >>f, "%"+inst[1]
	print >>f, inst[2]

keys=data.keys()
keys.sort()

if len(sys.argv)==2:
	print len(data.keys())
elif len(sys.argv)==4:
	xvalidfold=int(sys.argv[2])-1
	outputdir=sys.argv[3]	
	dropped=0
	train=0
	test=0
	
	if xvalidfold<0 or xvalidfold > len(data.keys()):
		raise KeyError

	#explode test set
	for instance in data[keys[xvalidfold]]:
		f=open(outputdir+"/"+instance2file_name(instance), "w")
		printheader(f)
		print_instance(f,instance)
       		f.close()
		test+=1

	#Training set to stdout
	f=sys.stdout
        printheader(f)
	for k in keys:
		if k!=keys[xvalidfold]:
			for i in data[k]:
				print_instance(f, i)
				train+=1
	f.close()
	

	print >>sys.stderr, "%i in training set.\n%i in test set\n%i dropped"%(train, test, dropped)
